﻿# Set a file's modified time from a date/time property via TouchProp
param (
[Parameter(Mandatory=$true)][string]$FileName, #Fully qualified file path name
[Parameter(Mandatory=$true)][string]$PropertyName #Canonical property name e.g. System.Message.DateSent
)
#Use TouchProp to get a property (timestamp) from the file as a PS date/time value
$dtVal=Get-Date(& 'C:\Program Files\JD Design\TouchPro\TouchProp.exe' $FileName $PropertyName)
#get the file object
$file = Get-Item $FileName
# change the file's LastWriteTime (Modified) value
$file.LastWriteTime = $dtVal